function xls_Crates(fname,sname,snames,Crates,...
    PVbatt,PVbatt_ave,PVonly,none)
% xls_Crates(fname,sname,snames,Crates,PVbatt,PVbatt_ave,PVonly,none)
%     writes data for C-rate limit testing in 2017 and future scenarios
%     into spreadsheet GridCarbonResults.xls

xlswrite(fname,{'2017 - kg CO_2 saved annually'},sname,'B1');

xlswrite(fname,{'repeat'},sname,'C2');
xlswrite(fname,{'full series'},sname,'I2');
xlswrite(fname,{'no PV no batt'},sname,'A4');
xlswrite(fname,{'4 kW PV only'},sname,'A5');
xlswrite(fname,{'PV benefit'},sname,'A6');
xlswrite(fname,{'4 kW PV, 7.5 kWh batt'},sname,'A7');
xlswrite(fname,{'battery benefit'},sname,'A8');
xlswrite(fname,{'battery C-rate limit'},sname,'A3');
xlswrite(fname,Crates,sname,'C3');
xlswrite(fname,Crates,sname,'I3');

xlswrite(fname,none(6),sname,'C4');
xlswrite(fname,none(6),sname,'D4');
xlswrite(fname,none(6),sname,'E4');
xlswrite(fname,none(6),sname,'F4');
xlswrite(fname,none(6),sname,'G4');
xlswrite(fname,none(5),sname,'I4');
xlswrite(fname,none(5),sname,'J4');
xlswrite(fname,none(5),sname,'K4');
xlswrite(fname,none(5),sname,'L4');
xlswrite(fname,none(5),sname,'M4');
xlswrite(fname,PVonly(6),sname,'C5');
xlswrite(fname,PVonly(6),sname,'D5');
xlswrite(fname,PVonly(6),sname,'E5');
xlswrite(fname,PVonly(6),sname,'F5');
xlswrite(fname,PVonly(6),sname,'G5');
xlswrite(fname,PVonly(5),sname,'I5');
xlswrite(fname,PVonly(5),sname,'J5');
xlswrite(fname,PVonly(5),sname,'K5');
xlswrite(fname,PVonly(5),sname,'L5');
xlswrite(fname,PVonly(5),sname,'M5');
xlswrite(fname,PVbatt(6,1),sname,'C7');
xlswrite(fname,PVbatt(6,2),sname,'D7');
xlswrite(fname,PVbatt(6,3),sname,'E7');
xlswrite(fname,PVbatt(6,4),sname,'F7');
xlswrite(fname,PVbatt(6,5),sname,'G7');
xlswrite(fname,PVbatt(5,1),sname,'I7');
xlswrite(fname,PVbatt(5,2),sname,'J7');
xlswrite(fname,PVbatt(5,3),sname,'K7');
xlswrite(fname,PVbatt(5,4),sname,'L7');
xlswrite(fname,PVbatt(5,5),sname,'M7');

xlswrite(fname,{'=C5-C4'},sname,'C6');
xlswrite(fname,{'=D5-D4'},sname,'D6');
xlswrite(fname,{'=E5-E4'},sname,'E6');
xlswrite(fname,{'=F5-F4'},sname,'F6');
xlswrite(fname,{'=G5-G4'},sname,'G6');
xlswrite(fname,{'=I5-I4'},sname,'I6');
xlswrite(fname,{'=J5-J4'},sname,'J6');
xlswrite(fname,{'=K5-K4'},sname,'K6');
xlswrite(fname,{'=L5-L4'},sname,'L6');
xlswrite(fname,{'=M5-M4'},sname,'M6');

xlswrite(fname,{'=C7-C5'},sname,'C8');
xlswrite(fname,{'=D7-D5'},sname,'D8');
xlswrite(fname,{'=E7-E5'},sname,'E8');
xlswrite(fname,{'=F7-F5'},sname,'F8');
xlswrite(fname,{'=G7-G5'},sname,'G8');
xlswrite(fname,{'=I7-I5'},sname,'I8');
xlswrite(fname,{'=J7-J5'},sname,'J8');
xlswrite(fname,{'=K7-K5'},sname,'K8');
xlswrite(fname,{'=L7-L5'},sname,'L8');
xlswrite(fname,{'=M7-M5'},sname,'M8');



for nf = 1:4
    sname = snames{nf};
    sname = ['C rates ',sname];
xlswrite(fname,{'kg CO_2 saved annually'},sname,'B1');
% xlswrite(fname,{'n''th system'},sname,'C2');
% xlswrite(fname,{'average system'},sname,'I2');
xlswrite(fname,{'no PV no batt'},sname,'A4');
xlswrite(fname,{'4 kW PV only'},sname,'A5');
xlswrite(fname,{'PV benefit'},sname,'A6');
xlswrite(fname,{'4 kW PV, 7.5 kWh batt'},sname,'A7');
xlswrite(fname,{'battery benefit (n''th)'},sname,'A8');
xlswrite(fname,{'battery C-rate limit'},sname,'A3');
xlswrite(fname,Crates,sname,'C3');
% xlswrite(fname,Crates,sname,'I3');
xlswrite(fname,{'battery benefit (ave)'},sname,'A9');

xlswrite(fname,none(nf),sname,'C4');
xlswrite(fname,none(nf),sname,'D4');
xlswrite(fname,none(nf),sname,'E4');
xlswrite(fname,none(nf),sname,'F4');
xlswrite(fname,none(nf),sname,'G4');

xlswrite(fname,PVonly(nf),sname,'C5');
xlswrite(fname,PVonly(nf),sname,'D5');
xlswrite(fname,PVonly(nf),sname,'E5');
xlswrite(fname,PVonly(nf),sname,'F5');
xlswrite(fname,PVonly(nf),sname,'G5');

xlswrite(fname,PVbatt(nf,1),sname,'C7');
xlswrite(fname,PVbatt(nf,2),sname,'D7');
xlswrite(fname,PVbatt(nf,3),sname,'E7');
xlswrite(fname,PVbatt(nf,4),sname,'F7');
xlswrite(fname,PVbatt(nf,5),sname,'G7');

xlswrite(fname,{'=C5-C4'},sname,'C6');
xlswrite(fname,{'=D5-D4'},sname,'D6');
xlswrite(fname,{'=E5-E4'},sname,'E6');
xlswrite(fname,{'=F5-F4'},sname,'F6');
xlswrite(fname,{'=G5-G4'},sname,'G6');

xlswrite(fname,{'=C7-C5'},sname,'C8');
xlswrite(fname,{'=D7-D5'},sname,'D8');
xlswrite(fname,{'=E7-E5'},sname,'E8');
xlswrite(fname,{'=F7-F5'},sname,'F8');
xlswrite(fname,{'=G7-G5'},sname,'G8');
xlswrite(fname,PVbatt_ave(nf,1),sname,'C9');
xlswrite(fname,PVbatt_ave(nf,2),sname,'D9');
xlswrite(fname,PVbatt_ave(nf,3),sname,'E9');
xlswrite(fname,PVbatt_ave(nf,4),sname,'F9');
xlswrite(fname,PVbatt_ave(nf,5),sname,'G9');

end

end

